﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.DragDrop;
using Telerik.Windows.Controls.TreeView;

namespace ForbidDrop
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            SourceTreeView.AddHandler(RadDragAndDropManager.DropQueryEvent, new EventHandler<DragDropQueryEventArgs>(OnDropQuery), true);

            //SourceTreeView.AddHandler(RadDragAndDropManager.DropInfoEvent, new EventHandler<DragDropEventArgs>(OnDropInfo), false);
        }



        private void OnDropQuery(object sender, DragDropQueryEventArgs e)
        {
            RadTreeViewItem item = e.Options.Destination as RadTreeViewItem;
            if (item != null && item.ParentTreeView == SourceTreeView)
            {
                e.QueryResult = false;
            }
        }

        //private void OnDropInfo(object sender, DragDropEventArgs e)
        //{
        //    var treeViewItem = e.Options.Source as RadTreeViewItem;
        //    if (treeViewItem != null && treeViewItem.ParentTreeView == SourceTreeView)
        //    {
        //        (e.Options.DragCue as TreeViewDragCue).IsDropPossible = false;
                
        //    }
        //}
    }
}
